from Products.CMFPlone.PloneBatch import Batch

def startitem(self, pagenumber = -1):
        """ Calculates the start item for a given page """
        if pagenumber == -1:
            pagenumber = self.pagenumber
        return pagenumber * (self.size - self.overlap) - self.size

Batch.startitem = startitem

def navurls(self, formvariables, navlist = []):
        """ Returns the page number, the url and the batch start item for the navigation quick links """
        if not navlist: navlist = self.navlist
        return map(lambda x, formvariables = formvariables: (x, self.pageurl(formvariables, x), self.startitem(x)), navlist)
    
Batch.navurls = navurls
